## wyrd 1.4.4

=== doc/Makefile ===
# Wyrd documentation makefile
all:	manual.pdf manual.html post-build-cleanup wyrd.1 wyrdrc.5

src/manual.ps: dvi
	dvips -tletterSize -Ppdf -G0 -o $@ src/manual.dvi

dvi: src/manual.tex
	cd src && latex manual.tex && latex manual.tex

src/manual.tex: src/manual.tex.in
	latex2man -CLATEX -L $< $@

manual.pdf: src/manual.ps
	ps2pdf13 $< $@

manual.html: src/manual.tex
	cd src && hevea -fix manual.tex && hevea -fix manual.tex
	cp src/manual.html .

src/manual.tex.stripped: src/manual.tex.in
	python src/remove-tt.py $< $@

wyrd.1: src/manual.tex.stripped
	latex2man -M $< $@

wyrdrc.5: src/manual.tex.stripped
	latex2man -CWYRDRC -M $< $@

post-build-cleanup: manual.pdf manual.html wyrd.1 wyrdrc.5
	cd src && rm -f *.aux *.log *.toc *.haux *.htoc *.dvi *.ps *.stripped *.html manual.tex

clean:
	rm -f manual.tex *.aux *.log *.toc *.haux *.htoc *.dvi *.ps *.pdf *.html *.stripped wyrd.1 wyrdrc.5
	cd src && rm -f manual.tex *.aux *.log *.toc *.haux *.htoc *.dvi *.ps *.pdf *.html *.stripped wyrd.1 wyrdrc.5


# arch-tag: DO_NOT_CHANGE_a5d62ea3-3a73-4de2-a2b3-a70bb310823f

=== debian/changelog ===
wyrd (1.4.4-1ubuntu1) trusty; urgency=medium

  * Use quilt instead of dpatch (deprecated):
    + added debian/source/format 3.0 quilt
    + removed include dpatch.mk from debian/rules
  * Imported patch from upstream to fix FTBFS with
    Ocalm 4: 02_fix-ftbfs-ocaml-4.patch (LP: #1281275)
  * Refreshed 01_editor.dpatch

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 02 Mar 2014 22:41:48 +0100

wyrd (1.4.4-1) unstable; urgency=low

  * New upstream release that address temporary file vulnerability
    (CVE-2008-0806). Patch in version 1.4.3b-4 that addresses this
    vulnerabililty (debian bug 466382) removed.
  * Updated Homepage address in debian/control, debian/copyright.
  * Updated watch file.
  * Add libncursesw5-dev to Build-Depends to permit --enable-utf8 configure
    flag to be used. Also add DEB_CONFIGURE_EXTRA_FLAGS = --enable-utf8 to
    debian/rules. Thanks to Jeremy Bobbio. Closes: #446634.

 -- Kevin Coyner <kcoyner@debian.org>  Fri, 22 Feb 2008 16:30:36 -0500

wyrd (1.4.3b-4) unstable; urgency=low

  * Patch from Nico Golde and the security team.
    This patch addresses the following issue:
    CVE-2008-0806: insecure temporary file creation that
    could lead to symlink attacks and thus data loss. Closes: #466382.
  * Bumped Standards-Version to 3.7.3. No changes.
  * Moved Homepage header out of extended description.
  * Removed unnecessary whitespace in doc-base file.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 21 Feb 2008 17:57:30 -0500

wyrd (1.4.3b-3) unstable; urgency=low

  * Fixed debian/watch file.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 14:08:57 -0400

wyrd (1.4.3b-2) unstable; urgency=low

  * Add Build-Depends on camlp4, which moved from ocaml-nox's Build-Depends to
    Recommends. Closes a FTBFS bug. Closes: #441503. Removed Build-Depends on
    ocaml-nox and ocaml since camlp4 depends on ocaml-nox.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 13:31:54 -0400

wyrd (1.4.3b-1) unstable; urgency=low

  * New upstream release.
  * Support for the environment variable DOT_REMINDERS. Closes: #381959.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 22 Aug 2007 09:33:10 -0400

wyrd (1.4.2-2) unstable; urgency=low

  * New e-mail address for maintainer. Changed throughout debian/*.
  * Update debian/menu from Apps/Tools to Applications/Data Management.
  * Remove some cruft in patches/01_editor.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 14 Aug 2007 13:51:28 -0400

wyrd (1.4.2-1) unstable; urgency=low

  * New upstream release (support rendering UTF-8 reminders, add the
    untimed_window_width rcfile option). Closes: #431815
  * debian/rules - changed use of $(PWD) to preferred $(CURDIR).
  * debian/README.Debian - added paragraph about checking for new config file
    options that might be available after some of the new upstream releases.

 -- Kevin Coyner <kevin@rustybear.com>  Thu, 05 Jul 2007 06:55:41 -0400

wyrd (1.4.1-3) unstable; urgency=low

  * Apply patch from Frank Terbeck that allows the user to set $EDITOR and
    $VISUAL separately if so desired. Closes: #400576
  * Add dpatch as a Build-Depends in debian/control.
  * Add appropriate dpatch commands to debian/rules.

 -- Kevin Coyner <kevin@rustybear.com>  Mon, 25 Dec 2006 22:18:45 -0500

wyrd (1.4.1-2) unstable; urgency=low

  * New maintainer. Closes: #388429
  * Updated debhelper compatibility level to 5.
  * Added lines to debian/rules to remove cruft post-build.

 -- Kevin Coyner <kevin@rustybear.com>  Wed, 27 Sep 2006 19:45:33 -0400

wyrd (1.4.1-1) unstable; urgency=low

  * New upstream release with mostly bugfixes

 -- René van Bevern <rvb@debian.org>  Wed, 19 Jul 2006 10:04:51 +0200

wyrd (1.4.0-1) unstable; urgency=low

  * New upstream release with minor feature enhancements
  
    + added "default" color specifier
  
    + minimum terminal height is now 23, so that there is place for a
      status bar (e.g. screen)
  
    + "Quick Reminder" command allows users to describe the event using
      english language
  
  * debian/control:
  
    + update my E-Mail address
  
    + push Standards-Version to 3.7.2 without any changes
  
  * debian/rules: delete superfluous /usr/share/doc/wyrd/README

 -- René van Bevern <rvb@debian.org>  Tue, 27 Jun 2006 07:01:05 +0200

wyrd (1.3.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: add remind (>= 03.00.24) to Build-Depends, the
    configure script wants to check for the used remind version

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@progn.org>  Mon, 27 Feb 2006 14:23:58 +0100

wyrd (1.2.0-1) unstable; urgency=low

  * New upstream
  * debian/control: depend on remind 03.00.24
  
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@pro-linux.de>  Sun, 20 Nov 2005 21:24:31 +0100

wyrd (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: drop dependency on bsdmainutils, new release does not
    use "cal" anymore

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>
  
 -- René van Bevern <rvb@pro-linux.de>  Thu, 22 Sep 2005 09:32:54 +0200

wyrd (1.1.0-1) unstable; urgency=low

  * New upstream release
  * added watch file
  * debian/copyright: update FSF address

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>
  
 -- René van Bevern <rvb@pro-linux.de>  Fri, 16 Sep 2005 18:41:59 +0200

wyrd (1.0.0-1) unstable; urgency=low

  * New upstream version
  * use CDBS
  * updated to Debian policy 3.6.2.1

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@pro-linux.de>  Sun, 26 Jun 2005 18:19:31 +0200

wyrd (0.3.0-3) unstable; urgency=low

  * Removed my manual page from the source package also

 -- René van Bevern <rvb@pro-linux.de>  Wed, 25 May 2005 11:36:48 +0200

wyrd (0.3.0-2) unstable; urgency=low

  * Closes: #309626: Error when setting the week_starts_monday
    configuration variable
  * changed e-mail address in debian/copyright


=== debian/control ===
Source: wyrd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 5.0), autotools-dev, camlp4, cdbs (>=0.4.39), remind (>= 03.00.24), dpatch, libncursesw5-dev
Standards-Version: 3.7.3
Homepage: http://pessimization.com/software/wyrd/

Package: wyrd
Architecture: any
Depends: ${shlibs:Depends}, remind (>= 03.00.24), less
Description: text-based calendar application
 Wyrd acts as an ncurses-based frontend for remind, a scheduler
 application featuring sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, multilingual messages, and
 proper handling of holidays.
 .
 Wyrd displays reminders on a browsable time table along with a
 calendar and lets the user create new timed or untimed reminders.
 Using the remind backend, it is possible to convert the calendar to
 PostScript for printing and to synchronize it with Palm handhelds.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-utf8

binary-post-install/wyrd::
	-rm $(CURDIR)/debian/wyrd/usr/share/doc/wyrd/README
	find . -name '*.cm[iox]' -o -name '*.o'  | xargs rm -f
	-rm -f $(CURDIR)/debian/stamp*
	-rm -f $(CURDIR)/config.status $(CURDIR)/config.log $(CURDIR)/config.cache

## wyrd 1.4.6

=== doc/Makefile ===
# Wyrd documentation makefile
all:	manual.pdf manual.html post-build-cleanup wyrd.1 wyrdrc.5

src/manual.tex: src/manual.tex.in
	latex2man -CLATEX -L $< $@

manual.pdf: src/manual.tex
	cd src && pdflatex manual.tex && pdflatex manual.tex && pdflatex manual.tex
	mv src/manual.pdf .

manual.html: src/manual.tex
	cd src && hevea -fix manual.tex
	mv src/manual.html .

src/manual.tex.stripped: src/manual.tex.in
	python src/remove-tt.py $< $@

wyrd.1: src/manual.tex.stripped
	latex2man -M $< $@

wyrdrc.5: src/manual.tex.stripped
	latex2man -CWYRDRC -M $< $@

post-build-cleanup: manual.pdf manual.html wyrd.1 wyrdrc.5
	cd src && rm -f *.aux *.log *.toc *.haux *.htoc *.stripped *.html manual.tex

clean:
	rm -f manual.tex *.aux *.log *.toc *.haux *.htoc *.pdf *.html *.stripped wyrd.1 wyrdrc.5
	cd src && rm -f manual.tex *.aux *.log *.toc *.haux *.htoc *.pdf *.html *.stripped wyrd.1 wyrdrc.5

=== debian/changelog ===
wyrd (1.4.6-6) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk to avoid FTBFS because of dh_dwz

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Aug 2020 07:35:51 +0200

wyrd (1.4.6-5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Adopting the package (Closes: #929556)
  * Add patch for OCaml 4.08.0.
    Thanks to Michael Goerner (Closes: #934883)
  * Add patch for assertion failures.
    Thanks to Michael Goerner (Closes: #491834)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * Drop versioned dependency (version even in oldoldstable)
  * Fix lintian missing-depends-on-sensible-utils
  * Add R³
  * add Salsa CI

  [ Antoni Villalonga ]
  * debian/rules simplified
  * New patch 05_fix_manpages_width

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Sep 2019 23:31:31 +0200

wyrd (1.4.6-4) unstable; urgency=medium

  * Get date from changelog for version.ml to make package autobuildable.
  * New patch to fix manpages.

 -- Rhonda D'Vine <rhonda@debian.org>  Mon, 18 Jan 2016 01:09:37 +0100

wyrd (1.4.6-3) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Use dh-ocaml to compute dependencies
  * Use packaged version of ocaml-curses

  [ Bernd Zeimetz ]
  * Remove further references to embedded curses

 -- Rhonda D'Vine <rhonda@debian.org>  Fri, 27 Nov 2015 15:01:44 +0100

wyrd (1.4.6-2) unstable; urgency=medium

  * Uups.  The fix for #526901 was b0rked.  Reverted that and re-opened the
    bugreport.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 26 Nov 2015 13:54:02 +0100

wyrd (1.4.6-1) unstable; urgency=medium

  * New upstream release (closes: #615982), which fixes:
    - FTBFS with newer ocaml (closes: #735832)
    - Typos in manpage fixed (closes: #561543)
    - Updated CONTACT INFO (closes: #481233)
  * Convert debian/rules to dh style and source 3.0 (quilt).  Thanks to bzed
    and weasel for help with that.
  * Added some additional suggestions from Jari Aalto (closes: #670194)
  * Bump compat to 9, Standards-Version to 3.9.6.
  * Add debian/source/format, switch debian/patches to quilt.
  * Use sensible-editor instead of ${VISUAL:-EDITOR} in wyrdrc
    (closes: #616157)
  * Support $DOTREMINDERS in the default wyrdrc (closes: #526901)
  * Adding myself to Uploaders.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 26 Nov 2015 11:12:23 +0100

=== debian/control ===
Source: wyrd
Section: utils
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-ocaml, camlp4, remind, libcurses-ocaml-dev
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: http://pessimization.com/software/wyrd/
Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/wyrd

Package: wyrd
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}, remind, less
Recommends: sensible-utils
Description: text-based calendar application
 Wyrd acts as an ncurses-based frontend for remind, a scheduler
 application featuring sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, multilingual messages, and
 proper handling of holidays.
 .
 Wyrd displays reminders on a browsable time table along with a
 calendar and lets the user create new timed or untimed reminders.
 Using the remind backend, it is possible to convert the calendar to
 PostScript for printing and to synchronize it with Palm handhelds.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

VERSION := $(shell grep ^VERSION= Makefile.in | cut -d= -f2)

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	dh_auto_configure -- --enable-utf8

override_dh_auto_build:
	echo "let version = \""$(VERSION)"\"" > version.ml
	echo "let date = \"$(SOURCE_DATE_EPOCH)\"" >> version.ml
	dh_auto_build

clean:
	find . -name '*.cm[iox]' -o -name '*.o'  | xargs rm -f
	-rm -f $(CURDIR)/debian/stamp*
	-rm -f $(CURDIR)/config.status $(CURDIR)/config.log $(CURDIR)/config.cache

=== debian/watch ===
version=3
http://pessimization.com/software/wyrd/wyrd-(.*)\.tar\.gz

## wyrd 1.5.3

=== doc/Makefile ===
all:	manual.pdf manual.html wyrd.1 wyrdrc.5

manual.tex: manual.tex.in
	latex2man -CLATEX -L $< $@
# for latex2man vs hyperref
	sed -i 's/\\URL{/\\url{/' manual.tex

manual.pdf: manual.tex
	latexmk -lualatex

manual.html: manual.tex
	hevea -fix manual.tex

wyrd.1: manual.tex.in
	latex2man -M $< $@

wyrdrc.5: manual.tex.in
	latex2man -CWYRDRC -M $< $@

dist-clean:
	latexmk -c || true
	rm -f manual.tex manual.haux manual.htoc

clean: dist-clean
	rm -f manual.pdf manual.html wyrd.1 wyrdrc.5

.PHONY: all dist-clean clean

=== debian/changelog ===
wyrd (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 10 Feb 2022 11:35:46 +0100

wyrd (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Use camlp5 to build

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 08 Feb 2022 18:35:13 +0100

wyrd (1.5.0-1) unstable; urgency=medium

  * Switch d/watch to newly maintained location
  * New upstream version 1.5.0
  * Update copyright
  * Rework patches
  * Update packaging
  * Add autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 09 Jan 2022 21:54:04 +0100

wyrd (1.4.6-8) unstable; urgency=medium

  * Fix compilation on non native archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Nov 2021 14:58:57 +0100

wyrd (1.4.6-7) unstable; urgency=medium

  * Bump policy and debhelper versions
  * Drop d/watch (upstream is gone)
  * Rewrite d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Nov 2021 09:24:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-ocaml, camlp4, remind, libcurses-ocaml-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), dh-ocaml, camlp5, remind, libcurses-ocaml-dev, texlive-extra-utils, texlive-latex-extra, texlive-fonts-recommended, latexmk
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://pessimization.com/software/wyrd/
+Homepage: https://gitlab.com/wyrd-calendar/wyrd
 Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/wyrd
 
 Package: wyrd
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}, remind, less
+Depends: ${misc:Depends}, ${shlibs:Depends}, remind, less
 Recommends: sensible-utils
 Description: text-based calendar application
  Wyrd acts as an ncurses-based frontend for remind, a scheduler

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export WYRD_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with ocaml

## wyrd 1.7.1

=== Makefile ===
PREFIX ?= /usr/local

ifeq ($(PREFIX),/usr)
	ETCDIR ?= /etc
else
	ETCDIR ?= $(PREFIX)/etc
endif

BINDIR ?= $(PREFIX)/bin

OCAMLFIND ?= ocamlfind
OCAMLDEP ?= ocamldep

OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt > /dev/null 2>&1; then echo opt; else echo byte; fi)
OCAMLMAJORVERSION := $(shell $(OCAMLFIND) ocamlc -version 2>/dev/null | cut -d '.' -f 1)
INSTALL ?= install

OCAML_PKGS := unix str curses yojson

# Assuming any version neq 4 is gt 4
ifneq ($(OCAMLMAJORVERSION),4)
	OCAML_PKGS += camlp-streams
endif


all: wyrd doc

doc:
	$(MAKE) -C doc

clean: distclean
	$(MAKE) -C doc clean

distclean: clean
	rm -f *.cm[iox] *.o wyrd install.ml depend test.rem expect.log
	$(MAKE) -C doc distclean


# bytecode and native-code compilation

ML_SOURCE := $(shell $(OCAMLFIND) ocamldep -sort $(wildcard *.ml))

CMO = $(ML_SOURCE:.ml=.cmo)
CMX = $(ML_SOURCE:.ml=.cmx)

COBJS = locale_wrap.o

OCAMLFIND_PKG_FLAGS = $(patsubst %,-package %,$(OCAML_PKGS))

ifeq ($(OCAMLBEST),opt)
wyrd: $(COBJS) $(CMX)
	$(OCAMLFIND) ocamlopt -linkpkg $(OCAMLFLAGS) $(OCAMLFIND_PKG_FLAGS) -o $@ $(CMX) $(COBJS)
else
wyrd: $(COBJS) $(CMO)
	$(OCAMLFIND) ocamlc -custom -linkpkg $(OCAMLFLAGS) $(OCAMLFIND_PKG_FLAGS) -o $@ $(CMO) $(COBJS)
endif

dist: VERSION=$(shell test $$WYRD_VERSION && echo $$WYRD_VERSION || git describe --tags)
dist: distclean
	mkdir wyrd-$(VERSION)
	cp -r doc locale_wrap.c COPYING ChangeLog Makefile README.md dune wyrdrc *.ml *.mli wyrd-$(VERSION)/
	sed "s/@PACKAGE_VERSION@/$(VERSION)/" install.ml.in > wyrd-$(VERSION)/install.ml.in
	sed "s/@WYRD_VERSION@/$(VERSION)/" _oasis.in > wyrd-$(VERSION)/_oasis
	sed "/(name wyrd)/a (version $(VERSION))" dune-project > wyrd-$(VERSION)/dune-project
	cd wyrd-$(VERSION); dune build --release ./wyrd.opam
	rm -rf wyrd-$(VERSION)/_build
	make -C wyrd-$(VERSION)/doc manual
	make -C wyrd-$(VERSION)/doc distclean
	tar -cJf wyrd-$(VERSION).tar.xz wyrd-$(VERSION)
	rm -rf wyrd-$(VERSION)

install: wyrd
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 755 wyrd $(DESTDIR)$(BINDIR)/wyrd
	$(MAKE) -C doc install DESTDIR=$(abspath $(DESTDIR))

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/wyrd
	$(MAKE) -C doc uninstall DESTDIR=$(abspath $(DESTDIR))

test:
	./wyrd --add "drop off package at 3pm" test.rem
	TERM=linux expect -c 'log_file expect.log; \
	     set stty_init "rows 60 columns 80"; \
	     spawn -nottycopy ./wyrd test.rem; \
	     expect_before timeout { exit 1 }; \
	     expect -re "15:00.*drop off package" { send Q; expect eof } eof; \
	     exit [lindex [wait] 3]'
	rm test.rem
	-reset

.SUFFIXES:

# generic build rules for toplevel directory
%.cmi : %.mli
ifeq ($(OCAMLBEST),opt)
	$(OCAMLFIND) ocamlopt -c -o $@ $(OCAMLFIND_PKG_FLAGS) $(OCAMLFLAGS) $<
else
	$(OCAMLFIND) ocamlc -c -o $@ $(OCAMLFIND_PKG_FLAGS) $(OCAMLFLAGS) $<
endif

%.cmo : %.ml %.cmi
	$(OCAMLFIND) ocamlc -c -o $@ $(OCAMLFIND_PKG_FLAGS) $(OCAMLFLAGS) $<

%.o : %.ml
	$(OCAMLFIND) ocamlopt -c -o $@ $(OCAMLFIND_PKG_FLAGS) $(OCAMLFLAGS) $<

%.cmx : %.ml %.cmi
	$(OCAMLFIND) ocamlopt -c -o $@ $(OCAMLFIND_PKG_FLAGS) $(OCAMLFLAGS) $<

%.o : %.c
	$(OCAMLFIND) ocamlc -c -o $@ $(OCAMLFIND_PKG_FLAGS) $(CFLAGS:%=-ccopt %) $(OCAMLFLAGS) $<

install.ml: install.ml.in
	sed -e "s|@prefix@|$(PREFIX)|" \
	    -e "s|@sysconfdir@|$(ETCDIR)|" \
	    -e "s|@PACKAGE_VERSION@|$(shell test $$WYRD_VERSION && echo $$WYRD_VERSION || git describe --tags)|" $< > $@


# calculate inter-file dependencies for parallel make
depend: install.ml
	$(OCAMLDEP) *.ml *.mli > $@

include depend

.PHONY: all clean dist distclean doc install uninstall test

=== doc/Makefile ===
PREFIX ?= /usr/local
MANDIR ?= $(PREFIX)/share/man
INSTALL ?= install

all: man/wyrd.1 man/wyrd.7 man/wyrdrc.5

manual: all manual.pdf html/manual/index.html

page-manual.odoc: manual.mld
	odoc compile -I . --child page-wyrdrc --child page-wyrd $<

page-wyrd.odoc: wyrd.mld page-manual.odoc
	odoc compile -I . --parent page-manual $<

page-wyrdrc.odoc: wyrdrc.mld page-manual.odoc
	odoc compile -I . --parent page-manual $<

page-manual.odocl: page-manual.odoc page-wyrd.odoc page-wyrdrc.odocl
	odoc link -I . $<

page-wyrd.odocl: page-wyrd.odoc
	odoc link -I . $<

page-wyrdrc.odocl: page-wyrdrc.odoc
	odoc link -I . $<

html/manual/index.html: page-manual.odocl html/manual/wyrd.html html/manual/wyrdrc.html html/odoc.css
	odoc html-generate -o html $<

html/manual/wyrd.html: page-wyrd.odocl html/odoc.css
	odoc html-generate -o html $<

html/manual/wyrdrc.html: page-wyrdrc.odocl html/odoc.css
	odoc html-generate -o html $<

html/odoc.css:
	odoc support-files -o html

latex/manual.tex: page-manual.odocl
	odoc latex-generate -o latex $<
	sed -i'' -e '2,4 d' $@

latex/manual/wyrd.tex: page-wyrd.odocl
	odoc latex-generate -o latex $<

latex/manual/wyrdrc.tex: page-wyrdrc.odocl
	odoc latex-generate -o latex $<
	sed -i'' -e 's/page-manual-leaf-page-wyrdrc-//g' $@

manual.pdf: manual.tex latex/manual.tex latex/manual/wyrd.tex latex/manual/wyrdrc.tex
	latexmk -pdflua $<

man/wyrd.1: page-wyrd.odocl footer.man
	odoc man-generate -o man $<
	cat footer.man >> man/manual/wyrd.3o
	sed -e 's/^.TH wyrd 3/.TH wyrd 1/' -e 's/OCaml Library/a console calendar application/' \
	    -e 's/^manual..wyrd/wyrd - a text-based front-end to remind(1), a sophisticated calendar and alarm program./' \
	    -e '/.SH Documentation/d' -e 's/.in 3/.in 0/' \
	    -e 's/MANPAGES/wyrd(7), wyrdrc(5), remind(1)/' man/manual/wyrd.3o > $@
	rm man/manual/wyrd.3o
	rmdir man/manual || true

man/wyrd.7: page-manual.odocl footer.man
	odoc man-generate -o man $<
	cat footer.man >> man/manual.3o
	sed -e 's/^.TH manual 3/.TH wyrd 7/' -e 's/OCaml Library/a console calendar application/' \
	    -e 's/^manual$$/wyrd - the user manual for wyrd(1), an ncurses interface to remind(1)./' \
	    -e 's/MANPAGES/wyrd(1), wyrdrc(5), remind(1)/' man/manual.3o > $@
	rm man/manual.3o

man/wyrdrc.5: page-wyrdrc.odocl footer.man
	odoc man-generate -o man $<
	cat footer.man >> man/manual/wyrdrc.3o
	sed -e 's/^.TH wyrdrc 3/.TH wyrdrc 5/' -e 's/OCaml Library/Wyrd configuration file/' \
	    -e 's/^manual..wyrdrc/wyrdrc - the configuration textfile for the wyrd(1) console calendar application./' \
	    -e 's/MANPAGES/wyrd(1), wyrd(7), remind(1)/' man/manual/wyrdrc.3o > $@
	rm man/manual/wyrdrc.3o
	rmdir man/manual || true

install: all
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1 \
		      $(DESTDIR)$(MANDIR)/man7 \
		      $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -m 644 man/wyrd.1   $(DESTDIR)$(MANDIR)/man1/
	$(INSTALL) -m 644 man/wyrd.7   $(DESTDIR)$(MANDIR)/man7/
	$(INSTALL) -m 644 man/wyrdrc.5 $(DESTDIR)$(MANDIR)/man5/

uninstall:
	rm -f $(DESTDIR)$(MANDIR)/man1/wyrd.1 \
	      $(DESTDIR)$(MANDIR)/man7/wyrd.7 \
	      $(DESTDIR)$(MANDIR)/man5/wyrdrc.5

distclean:
	latexmk -c || true
	rm -Rvf page*.odoc* latex

clean: distclean
	rm -Rvf html man manual.pdf

.INTERMEDIATE: page-wyrd.odoc page-wyrd.odocl page-manual.odoc page-manual.odocl page-wyrdrc.odoc page-wyrdrc.odocl
.PHONY: all manual install uninstall distclean clean

=== debian/changelog ===
wyrd (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Drop upstreamed patch
  * Build manual within doc to make it reproducible

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 22 Aug 2022 08:42:42 +0200

wyrd (1.7-3) unstable; urgency=medium

  * Add patch to make build reproducible
  * Fix bytecode version build (armel)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Aug 2022 12:58:06 +0200

wyrd (1.7-2) unstable; urgency=medium

  * Add missing test dependency
  * Fix "no writeable cache path, quiting"

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2022 15:32:58 +0200

wyrd (1.7-1) unstable; urgency=medium

  * New upstream version 1.7
    - Add newline when pasting reminders (Closes: #477084)
  * Update rules and dependencies
  * Drop /etc/wyrdrc and install as example

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2022 13:16:23 +0200

wyrd (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
  * Drop patch (no longer needed)
  * Update dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jul 2022 17:10:28 +0200

wyrd (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * Drop camlp5 dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jun 2022 12:21:14 +0200

wyrd (1.5.4-1) unstable; urgency=medium

  * Add upstream source
  * New upstream version 1.5.4
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Jun 2022 22:28:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-ocaml, camlp5, remind, libcurses-ocaml-dev, texlive-extra-utils, texlive-latex-extra, texlive-fonts-recommended, latexmk
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), ocaml, ocaml-findlib, libcurses-ocaml-dev, libyojson-ocaml-dev, ocaml-odoc, texlive-extra-utils, texlive-latex-extra, texlive-fonts-recommended, latexmk, remind <!nocheck>, expect <!nocheck>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/wyrd-calendar/wyrd
 Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export WYRD_VERSION=$(DEB_VERSION_UPSTREAM)
export PREFIX=/usr

# don't strip bytecode version (for example armel)
OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt > /dev/null 2>&1; then echo opt; else echo byte; fi)
ifeq ($(OCAMLBEST),byte)
override_dh_strip:
override_dh_dwz:
endif

%:
	dh $@

## wyrd 1.7.4

=== Makefile ===
--- 
+++ 
@@ -11,16 +11,11 @@
 OCAMLFIND ?= ocamlfind
 OCAMLDEP ?= ocamldep
 
-OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt > /dev/null 2>&1; then echo opt; else echo byte; fi)
+OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt --help > /dev/null 2>&1; then echo opt; else echo byte; fi)
 OCAMLMAJORVERSION := $(shell $(OCAMLFIND) ocamlc -version 2>/dev/null | cut -d '.' -f 1)
 INSTALL ?= install
 
-OCAML_PKGS := unix str curses yojson
-
-# Assuming any version neq 4 is gt 4
-ifneq ($(OCAMLMAJORVERSION),4)
-	OCAML_PKGS += camlp-streams
-endif
+OCAML_PKGS := unix str camlp-streams curses yojson
 
 
 all: wyrd doc

=== doc/Makefile ===
PREFIX ?= /usr/local
MANDIR ?= $(PREFIX)/share/man
INSTALL ?= install

all: manual/wyrd.1 manual/wyrd.7 manual/wyrdrc.5

manual: all manual.pdf manual/index.html

page-manual.odoc: manual.mld
	odoc compile -I . --child page-wyrdrc --child page-wyrd $<

page-wyrd.odoc: wyrd.mld page-manual.odoc
	odoc compile -I . --parent page-manual $<

page-wyrdrc.odoc: wyrdrc.mld page-manual.odoc
	odoc compile -I . --parent page-manual $<

page-wyrd.odocl: page-wyrd.odoc
	odoc link -I . $<

page-wyrdrc.odocl: page-wyrdrc.odoc
	odoc link -I . $<

page-manual.odocl: page-manual.odoc page-wyrd.odocl page-wyrdrc.odocl
	odoc link -I . $<

manual/index.html: page-manual.odocl manual/wyrd.html manual/wyrdrc.html manual/odoc.css
	odoc html-generate -o . $<
	sed -i'' 's@\.\./@@g' $@

manual/wyrd.html: page-wyrd.odocl manual/odoc.css
	odoc html-generate -o . $<
	sed -i'' 's@\.\./@@g' $@

manual/wyrdrc.html: page-wyrdrc.odocl manual/odoc.css
	odoc html-generate -o . $<
	sed -i'' 's@\.\./@@g' $@

manual/odoc.css:
	odoc support-files -o manual

manual/manual.tex: page-manual.odocl
	odoc latex-generate -o manual $<
	sed -i'' -e '2,4 d' $@

manual/wyrd.tex: page-wyrd.odocl
	odoc latex-generate -o . $<

manual/wyrdrc.tex: page-wyrdrc.odocl
	odoc latex-generate -o . $<
	sed -i'' -e 's/page-manual-leaf-page-wyrdrc-//g' $@

manual.pdf: manual.tex manual/manual.tex manual/wyrd.tex manual/wyrdrc.tex
	latexmk -pdflua $<

manual/wyrd.1: page-wyrd.odocl footer.man
	odoc man-generate -o . $<
	cat footer.man >> manual/wyrd.3o
	sed -e 's/^.TH wyrd 3/.TH wyrd 1/' -e 's/OCaml Library/a console calendar application/' \
	    -e 's/^manual..wyrd/wyrd - a text-based front-end to remind(1), a sophisticated calendar and alarm program./' \
	    -e '/.SH Documentation/d' -e 's/.in 3/.in 0/' \
	    -e 's/MANPAGES/wyrd(7), wyrdrc(5), remind(1)/' manual/wyrd.3o > $@
	rm manual/wyrd.3o

manual/wyrd.7: page-manual.odocl footer.man
	odoc man-generate -o manual $<
	cat footer.man >> manual/manual.3o
	sed -e 's/^.TH manual 3/.TH wyrd 7/' -e 's/OCaml Library/a console calendar application/' \
	    -e 's/^manual$$/wyrd - the user manual for wyrd(1), an ncurses interface to remind(1)./' \
	    -e 's/MANPAGES/wyrd(1), wyrdrc(5), remind(1)/' manual/manual.3o > $@
	rm manual/manual.3o

manual/wyrdrc.5: page-wyrdrc.odocl footer.man
	odoc man-generate -o . $<
	cat footer.man >> manual/wyrdrc.3o
	sed -e 's/^.TH wyrdrc 3/.TH wyrdrc 5/' -e 's/OCaml Library/Wyrd configuration file/' \
	    -e 's/^manual..wyrdrc/wyrdrc - the configuration textfile for the wyrd(1) console calendar application./' \
	    -e 's/MANPAGES/wyrd(1), wyrd(7), remind(1)/' manual/wyrdrc.3o > $@
	rm manual/wyrdrc.3o

install: all
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1 \
		      $(DESTDIR)$(MANDIR)/man7 \
		      $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -m 644 manual/wyrd.1   $(DESTDIR)$(MANDIR)/man1/
	$(INSTALL) -m 644 manual/wyrd.7   $(DESTDIR)$(MANDIR)/man7/
	$(INSTALL) -m 644 manual/wyrdrc.5 $(DESTDIR)$(MANDIR)/man5/

uninstall:
	rm -f $(DESTDIR)$(MANDIR)/man1/wyrd.1 \
	      $(DESTDIR)$(MANDIR)/man7/wyrd.7 \
	      $(DESTDIR)$(MANDIR)/man5/wyrdrc.5

distclean:
	latexmk -c || true
	rm -vf manual/*.tex

clean: distclean
	rm -Rvf manual manual.pdf

.INTERMEDIATE: page-wyrd.odoc page-wyrd.odocl page-manual.odoc page-manual.odocl page-wyrdrc.odoc page-wyrdrc.odocl
.PHONY: all manual install uninstall distclean clean

=== debian/changelog ===
wyrd (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * Bump policy version (no changes)
  * Fix ocamlopt detection in d/rules
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Mar 2025 10:02:43 +0100

wyrd (1.7.1-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.6.2
  * Add libcamlp-streams-ocaml-dev to Build-Depends (Closes: #1073912)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2024 13:19:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,21 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), ocaml, ocaml-findlib, libcurses-ocaml-dev, libyojson-ocaml-dev, ocaml-odoc, texlive-extra-utils, texlive-latex-extra, texlive-fonts-recommended, latexmk, remind <!nocheck>, expect <!nocheck>
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ ocaml,
+ ocaml-findlib,
+ libcamlp-streams-ocaml-dev,
+ libcurses-ocaml-dev,
+ libyojson-ocaml-dev,
+ ocaml-odoc,
+ texlive-latex-extra,
+ texlive-fonts-recommended,
+ texlive-luatex,
+ latexmk,
+ remind <!nocheck>,
+ expect <!nocheck>
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/wyrd-calendar/wyrd
 Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export WYRD_VERSION=$(DEB_VERSION_UPSTREAM)
export PREFIX=/usr

# don't strip bytecode version (for example armel)
OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt --help > /dev/null 2>&1; then echo opt; else echo byte; fi)
ifeq ($(OCAMLBEST),byte)
override_dh_strip:
override_dh_dwz:
endif

%:
	dh $@

=== debian/tests/control ===
Test-Command: export HOME="$AUTOPKGTEST_TMP" && wyrd --add "drop off package at 3pm" && TERM=linux expect -c 'set stty_init "rows 60 columns 80"; spawn -nottycopy wyrd; expect_before timeout { exit 1 }; expect -re "15:00.*drop off package" { send Q; expect eof } eof; exit [lindex [wait] 3]'
Depends: @, expect

=== debian/watch ===
version=4
opts="mode=git, gitmode=full" \
https://gitlab.com/wyrd-calendar/wyrd.git \
refs/tags/([\d\.]+)
